# NOTE: Derived from blib/lib/BDB/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package BDB::Wrapper;

#line 1590 "blib/lib/BDB/Wrapper.pm (autosplit into blib/lib/auto/BDB/Wrapper/get_bdb_home.al)"
sub get_bdb_home(){
  my $self=shift;
  my $op=shift;
  my $bdb='';
  my $transaction=undef;
  my $lock_root=$self->{'lock_root'};
  if($op && ref($op) eq 'HASH'){
    $bdb=$op->{'bdb'} || return;
    if(exists($op->{'transaction'})){
      $transaction=$op->{'transaction'};
    }
    elsif(exists($op->{'txn'})){
      $transaction=$op->{'txn'};
    }
    else{
      $transaction=$self->{'transaction'};
    }
  }
  else{
    $bdb=File::Spec->rel2abs($op) || return;
    $transaction=$self->{'transaction'};
  }
  if($transaction && $transaction!~ m!^/.!){
    $transaction = $self->{'default_txn_dir'};
  }
  if($transaction){
    $lock_root=$transaction;
  }
  $bdb=~ s!\.bdb$!!i;
  return $lock_root.'/bdb_home'.$bdb;
}

# end of BDB::Wrapper::get_bdb_home
1;
